use std::fmt::Debug;
use serde::Serialize;

#[derive(Debug, Serialize)]
pub struct Pageable<T> where T: Debug + Serialize {
    pub data: Vec<T>,
    pub total: u64,
}

impl <T> Pageable<T> where T: Debug + Serialize {
    pub fn new(data: Vec<T>, total: u64) -> Self {
        Self {
            data,
            total,
        }
    }

    pub fn empty() -> Self {
        Self {
            data: vec![],
            total: 0,
        }
    }
}